clang-tools 10.0.0

Namespaces | Typedefs | Functions
Tweak.cpp File Reference
`#include "Tweak.h"`
`#include "Logger.h"`
`#include "Path.h"`
`#include "SourceCode.h"`
`#include "index/Index.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/Registry.h"`
`#include <functional>`
`#include <memory>`
`#include <utility>`
Include dependency graph for Tweak.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Typedefs
typedef llvm::Registry< Tweak > | clang::clangd::TweakRegistry
| A handy typedef to save some typing. More...

## Functions
std::vector< std::unique_ptr< Tweak > > | clang::clangd::prepareTweaks (const Tweak::Selection &S, llvm::function_ref< bool(const Tweak &)> Filter)
| Calls prepare() on all tweaks that satisfy the filter, returning those that can run on the selection. More...
llvm::Expected< std::unique_ptr< Tweak > > | clang::clangd::prepareTweak (StringRef ID, const Tweak::Selection &S)